Bug 144858 - no sound for intel 82801DB on vmlinuz-2.6.10-1.737_FC3SMP
no sound for intel 82801DB on vmlinuz-2.6.10-1.737_FC3SMP
Status: CLOSED DUPLICATE of bug 144742
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Depends On:
  Show dependency treegraph
Reported: 2005-01-11 19:30 EST by charles harris
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 14:07:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description charles harris 2005-01-11 19:30:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Kernel vmlinuz-2.6.9-1.724_FC3smp does a fine job of playing sound.
The device is detected in the same way on both kernels:

Vendor: Intel
Model: 82801DB/DBL/DBM(ICH4/ICH4-L/ICH4-M) AC'97
Module: snd-intel8x0

In vmlinuz-2.6.10-1.737_FC3smp the modules are loaded (lsmod), but no
sound is played. The only oddity I notice is that the control panel
loaded by the gnome panel sound applet differs depending on the kernel

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Start sound configuration
2.Play test sound

Actual Results:  no sound

Expected Results:  quitar

Additional info:
Comment 1 Martin Stransky 2005-01-12 02:05:14 EST
snd-intel8x0 is quite buggy. You have to wait for new version of ALSA,
or you can try 1.0.8rc, there is many fixes for snd-intel8x0.
Another way is testing sound only on console with aplay. If aplay
doesn't work, is something usually wrong.
Comment 2 Sitsofe Wheeler 2005-01-12 04:51:43 EST
Sounds related to bug #144848
Comment 3 John Flynn 2005-01-12 11:28:48 EST
>snd-intel8x0 is quite buggy. You have to wait for new version of ALSA,

But, uhh, it was working fine in 2.6.9. Something was changed which
broke it, and a Fedora-supplied patch to back out these changes is
probably a good idea, ESPECIALLY since 2.6.10 is a security fix
release and the last version where sound works has a locally
expolitable root escalation.

Comment 4 charles harris 2005-01-12 21:09:49 EST
aplay works fine to play wav files.

i.e. aplay -t wav /usr/share/sounds/KDE_Desktop5.wav

gives a nice little beep.
Comment 5 charles harris 2005-01-12 21:12:06 EST
Nix that last comment. Wrong machine. Sorry.
Comment 6 James Hunt 2005-01-14 06:36:57 EST
I have the same problem with the same Intel chipset.

'lspci' shows:

00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 01)

My machine is an IBM T40.

I can confirm that Charles is correct. I've just wasted 30 minutes
rebooting and grep'ing around. My sound setup works fine with
2.6.9-1.667, but with kernel-2.6.10-1.737_FC3 or
kernel-2.6.10-1.741_FC3 I get no sound whatsoever!!

'aplay' does *not* work for me with a 2.6.10* kernel. Neither does
'play'. My /etc/modprobe.conf has...

# this bit generated by FC3 install
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ;
}; /sbin/modprobe -r --ignore-remove snd-intel8x0

# this bit added by me:

alias sound-slot-0 snd-card-0
alias char-major-14 soundcore

alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss

alias /dev/mixer snd-mixer-oss
alias /dev/dsp snd-pcm-oss
alias /dev/midi snd-seq-oss

I noticed this juicy comment in /var/log/messages when booting with a
2.6.10* kernel:

Jan 12 10:42:30 azul kernel: ** PCI interrupts are no longer routed
automatically.  If this
Jan 12 10:42:30 azul kernel: ** causes a device to stop working, it is
probably because the
Jan 12 10:42:30 azul kernel: ** driver failed to call
pci_enable_device().  As a temporary
Jan 12 10:42:30 azul kernel: ** workaround, the "pci=routeirq"
argument restores the old
Jan 12 10:42:30 azul kernel: ** behavior.  If this argument makes the
device work again,
Jan 12 10:42:30 azul kernel: ** please email the output of "lspci" to
Jan 12 10:42:30 azul kernel: ** so I can fix the driver.

Alas, booting with "pci=routeirq" and a 2.6.10* kernel did *not* help
me. I've reverted back to 2.6.9-1.667 for now...



Comment 7 Martin Stransky 2005-01-14 10:12:53 EST

*** This bug has been marked as a duplicate of 144742 ***
Comment 8 Red Hat Bugzilla 2006-02-21 14:07:52 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.